Create node templateAsk AIpost https://api.cast.ai/v1/kubernetes/clusters/{clusterId}/node-templatesCreates a node template to be used in autoscaling.Path ParamsclusterIdstringrequiredID of the cluster that the template is forBody ParamsNodeTemplate to createconfigurationIdstringnamestringconstraintsobjectDefines the constraints on a template objectshouldTaintboolean | nullMarks whether the templated nodes will have a taint template taint. Based on the template constraints, the template may still have additional taints. For example, if both lifecycles (spot, on-demand) are enabled, to use spot nodes, the spot nodes of this template will have the spot taint.truefalsecustomLabelobjectcustomLabel objectrebalancingConfigobjectDefines rebalancing settings per template objectcustomLabelsobjectCustom labels for the template. The passed values will be ignored if the field custom_label is present.customLabels objectcustomInstancesEnabledboolean | nulltruefalsecustomInstancesWithExtendedMemoryEnabledboolean | nulltruefalseisEnabledboolean | nullThis field is used to enable/disable autoscaling for the template.truefalseisDefaultbooleanFlag whether this template is the default template for the cluster.truefalsecustomTaintsarray of objectsCustom taints for the template.customTaintsADD objectgpuobjectGPU settings objectedgeLocationIdsarray of stringsList of associated edge location IDs.edgeLocationIdsADD stringclmEnabledboolean | nulltruefalsepriceAdjustmentConfigurationobjectPriceAdjustmentConfiguration represents price adjustment multipliers.priceAdjustmentConfiguration objectstopEnabledboolean | nullNodes in this node-template have Storage Optimization (STOP) enabled.truefalseResponse 200Created templateUpdated 7 months ago